

/*
 * User.java
 *
 * Created on September 16, 2003, 12:22 AM
 */

/**
 *
 * @author  Nathan Balon
 * SN 3210 1717
 * CIS 527
 * Programming assignment 1
 *
 * User class of the chat room program.
 *
 */

import java.io.*;

/** Class for the users of the chat program */
public class User implements Serializable{
    
    /** Creates a new instance of User pass the userName and Password*/
    public User(String name, String password) {
        this.name = name;
        this.password = password;
    }
    
    public User(String name){
        this.name = name;
    }
    
    /** Set the users name */
    public void setName(String name){
        this.name = name;
    }
    
    /** Get the name of the user */
    public String getName(){
        return name;
    }
    
    /** Set the password for the user */
    void setPassword(String password) {
        this.password = password;
    }
    
    /**  Get the password of the user */
    String getPassword(){
        return password;
    }
    
    /** returns the users information as a string */
    public String toString(){
        String info = name + " " + password;
        return info;
    }
    
    private String name;
    private String password;    
}
